#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 10. Graphics and Font Libraries

- Prev

  babl-0.1.110

- Next

  FreeType-2.13.3

- Up
- Home

# Exiv2-0.28.5

## Introduction to Exiv2

Exiv2 contains a C++ library and a command line utility for managing image and video metadata.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/Exiv2/exiv2/archive/v0.28.5/exiv2-0.28.5.tar.gz

- Download MD5 sum: f8de9495e03f06be5152ecae3a82815c

- Download size: 45 MB

- Estimated disk space required: 134 MB (with tests)

- Estimated build time: 0.4 SBU (Using parallelism=4, with tests)

### Exiv2 dependencies

#### Required

CMake-3.31.5

#### Recommended

Brotli-1.1.0, cURL-8.12.1, and inih-58

#### Optional

libssh

#### Optional for documentation

Doxygen-1.13.2, Graphviz-12.2.1, and libxslt-1.1.42

## Installation of Exiv2

Install Exiv2 by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr   \
          -D CMAKE_BUILD_TYPE=Release    \
          -D EXIV2_ENABLE_VIDEO=yes      \
          -D EXIV2_ENABLE_WEBREADY=yes   \
          -D EXIV2_ENABLE_CURL=yes       \
          -D EXIV2_BUILD_SAMPLES=no      \
          -D CMAKE_SKIP_INSTALL_RPATH=ON \
          -G Ninja ..                    &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D CMAKE_SKIP_INSTALL_RPATH=ON`: This switch makes cmake remove hardcoded library search paths (rpath) when installing a binary executable file or a shared library. This package does not need rpath once it's installed into the standard location, and rpath may sometimes cause unwanted effects or even security issues.

`-D EXIV2_ENABLE_VIDEO=yes`: This switch enables managing video metadata.

`-D EXIV2_ENABLE_WEBREADY=yes`: This switch enables managing web image metadata.

`-D EXIV2_BUILD_SAMPLES=no`: This switch is necessary to suppress building and installing sample programs. If the sample programs are built, 34 additional programs are installed in /usr/bin.

`-D EXIV2_ENABLE_CURL=yes`: This switch is necessary to enable network/http capabilities.

`-D EXIV2_ENABLE_INIH=no`: Use this switch if you have not installed inih-58.

`-D EXIV2_ENABLE_BROTLI=no`: Use this switch if you have not installed Brotli-1.1.0.

## Contents

Installed Program: exiv2
Installed Library: libexiv2.so
Installed Directories: /usr/include/exiv2 and /usr/lib/cmake/exiv2

### Short Descriptions

exiv2 | is a utility used to dump Exif data

- Prev

  babl-0.1.110

- Next

  FreeType-2.13.3

- Up
- Home